Bug 1251558 - Can't boot from USB Drive from virt-manager
Can't boot from USB Drive from virt-manager
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Cole Robinson
Depends On:
  Show dependency treegraph
Reported: 2015-08-07 12:54 EDT by Eugene
Modified: 2015-08-11 18:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-10 14:21:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene 2015-08-07 12:54:38 EDT
Description of problem:
I just can't boot USB Driver from virt-manager.

Version-Release number of selected component (if applicable):

virt-manager 1.2.1

How reproducible:
On a newly created VM I'm push Add hardware - USB Host Device and then choosing my USB flash drive. After that in Boot Options I'm changing boot priority of USB 0204:6025 moving it to first position in a list.

Actual results:

As a result starting VM I have next messages:

Booting from Hard Disk...
Boot failed: not a bootable disk

No bootable device.

Additional info:
Linux x86_64 4.2.0RC5
Ubuntu 15.10 Wily
qemu-system-x86 2.3
libvirt0 2.16
Comment 1 Cole Robinson 2015-08-10 14:21:36 EDT
Works fine for me on stock fedora 22. You sure the USB stick is bootable?

I don't think this is a virt-manager problem, I'd suggest you file a bug with your host distro
Comment 2 Eugene 2015-08-11 12:11:53 EDT
I works if I try:

qemu-system-x86_64 -usb /dev/sdc

but it's not working throuth virt-manager. Also it can't boots like this for some reason:

qemu-system-x86_64 -usb /dev/sdc -hda /dev/sdx
Comment 3 Cole Robinson 2015-08-11 13:43:08 EDT
Those are all very different things. What virt-manager is doing is telling the VM to boot off the USB hardware.

Your first command is basically 'enable usb support, use /dev/sdc as hda', which in fact is not depending on host USB usage at all, except that /dev/sdc is mounted by your host kernel.

The last command I think maps to -hda /dev/sdx -hdb /dev/sdc

I'm guessing your USB device is not marked as bootable, but the /dev/sdc partition _is_ marked as bootable, which could be throwing things off. Attach the /dev/sdc partition to your VM as a regular disk, I'm guessing that will work
Comment 4 Eugene 2015-08-11 18:13:57 EDT
Not really understand what you mean. The thing is that and some other my USB flash drives boot on real hardware without any problem. So how to boot them through virt-manager? /dev/sdc is my mounted USB flash drive in host. I can add them through 'Add hardware' button, from 'USB Host Device" list as:

>0204:6025 Chipsbank Microelectronics Co., Ltd CBM2080 / CBM2090 Flash drive controller

After that it appears in Boot Options list. I'm turning on boot menu and 'USB 0204:6025' device and switching it's position to first.
Trying to boot gives nothing.

Note You need to log in before you can comment on or make changes to this bug.